## NAME

g.rename - To rename data base element files in the user's current mapset.
(GRASS File Management Program)

## SYNOPSIS

g.rename
g.rename help
g.rename [-o] [rast=old,new] [vect=old,new] [icon=old,new] [labels=old,new] [sites=old,new] [region=old,new] [group=old,new]

## DESCRIPTION

g.rename allows the user to rename data base element files in the user's current mapset. The user can specify all necessary information to g.rename on the command line, by specifying: the type of data base element to be renamed (one or more of: rast, vect, icon, labels, sites, region, and group); the specific file element in the current mapset to be renamed (old); and the new name to be assigned to this file element (new) in the current mapset. The file element old is then renamed to new.

Users can also simply type g.rename without arguments on the command line, to receive a menu of existing data base element types and files from which to choose for possible renaming:

1. raster maps
2. binary vector maps
3. paint icon files
4. paint label files
5. site list files
6. region definition files
7. imagery group files

   RETURN to exit

### Flags:

-o
  Overwrite <new> file(s)

## NOTE

If a data base element has support files (e.g., as is commonly the case with raster files), these support files also are renamed.

If the user attempts to rename a file to itself by setting the new file name equal to the old file name (e.g., g.rename rast=soils,soils), g.rename will not execute the rename, but instead state that no rename is needed. However, g.rename will allow the user to overwrite other existing files in the current mapset by making the new file name that of an already existing file.

## SEE ALSO

g.copy
g.list
g.remove

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/11/12 10:46:26 $